package com.bailuntec.domain.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 坐标
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DataNode {

    private BigDecimal x;
    private BigDecimal y;

    public synchronized BigDecimal getXY() {
        return this.x.multiply(this.y);
    }

}
